// *********************************************
//  Drag and Drop
// *********************************************

dragdropobject =
{
};

var listObserver =
{
	onDragStart: function (evt,transferData,action)
	{
		var txt='text';
		transferData.data=new TransferData();
		transferData.data.addDataForFlavour("text/unicode",txt);
	}
};

var boardObserver =
{
	getSupportedFlavours : function ()
	{
		var flavours = new FlavourSet();
		flavours.appendFlavour("text/unicode");
		flavours.appendFlavour("text/x-moz-url");
		flavours.appendFlavour("application/x-moz-file");
		return flavours;
	},
	onDragOver: function (evt,flavour,session)
	{
		//log('dragover');
	},
	onDrop: function (evt,dropdata,session)
	{
		
		log('onDrop ContentType=' + dropdata.flavour.contentType + ' data='+dropdata.data)
		/*
		dragdropobject.type=dropdata.flavour.contentType
		dragdropobject.ID=dropdata.data
		dragdropobject.IDArray = dropdata.data.split("\n");
		*/
	}
};

var dragdropServices =
{
	onDrop: function(event,url)
	{
		var canvas = document.createElementNS("http://www.w3.org/1999/xhtml","html:canvas");
		var ctx = canvas.getContext("2d");
		
		img = new Image();
		img.src = url;
		canvas.width = img.width;
		canvas.height = img.height;
		ctx.drawImage(img,0,0,img.width,img.height);
		
		var dt = event.dataTransfer;
		dt.setDragImage(canvas, 5, 5);
	}
}